import * as React from 'react';
import { DataSource, HoverItem, DropType, ListData } from './types';
declare const initialState: {
    hoverItem: HoverItem;
    data: DataSource[];
    onDataUpdate: (data: DataSource[]) => void;
};
export declare type BoardContextType = {
    state: typeof initialState;
    dispatch: React.Dispatch<ACTIONTYPE>;
};
export declare const BoardContext: React.Context<BoardContextType | null>;
declare type ACTIONTYPE = {
    type: 'update';
    payload: DataSource[];
} | {
    type: 'hover';
    payload: HoverItem;
} | {
    type: 'drop';
    payload: DropType;
};
export declare type BoardProps = {
    className?: string;
    style?: any;
    lists: ListData[];
    onDataUpdate: (data: DataSource[]) => void;
    dataSource: DataSource[];
};
export declare const Board: React.FunctionComponent<BoardProps>;
export {};
